### Hierarchy

- DisputeAgentsClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorRegisterDisputeAgent
- methodDescriptorUnregisterDisputeAgent
- options_

### Methods

- registerDisputeAgent
- unregisterDisputeAgent

## Constructors

### constructor

- new DisputeAgentsClient(hostname: string, credentials?: null | {}, options?: null | {}): DisputeAgentsClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:819

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns DisputeAgentsClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:814

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:816

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:815

### methodDescriptorRegisterDisputeAgent

methodDescriptorRegisterDisputeAgent: MethodDescriptor < RegisterDisputeAgentRequest , RegisterDisputeAgentReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:832

### methodDescriptorUnregisterDisputeAgent

methodDescriptorUnregisterDisputeAgent: MethodDescriptor < UnregisterDisputeAgentRequest , UnregisterDisputeAgentReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:875

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:817

## Methods

### registerDisputeAgent

- registerDisputeAgent(request: RegisterDisputeAgentRequest, metadata: null | Metadata ): Promise< RegisterDisputeAgentReply >
- registerDisputeAgent(request: RegisterDisputeAgentRequest, metadata: null | Metadata, callback: (err: RpcError, response: RegisterDisputeAgentReply ) => void): ClientReadableStream < RegisterDisputeAgentReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:843

  #### Parameters

  - ##### request: RegisterDisputeAgentRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< RegisterDisputeAgentReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:847

  #### Parameters

  - ##### request: RegisterDisputeAgentRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: RegisterDisputeAgentReply ) => void

    - - (err: RpcError, response: RegisterDisputeAgentReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RegisterDisputeAgentReply

        #### Returns void

  #### Returns ClientReadableStream < RegisterDisputeAgentReply >

### unregisterDisputeAgent

- unregisterDisputeAgent(request: UnregisterDisputeAgentRequest, metadata: null | Metadata ): Promise< UnregisterDisputeAgentReply >
- unregisterDisputeAgent(request: UnregisterDisputeAgentRequest, metadata: null | Metadata, callback: (err: RpcError, response: UnregisterDisputeAgentReply ) => void): ClientReadableStream < UnregisterDisputeAgentReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:886

  #### Parameters

  - ##### request: UnregisterDisputeAgentRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< UnregisterDisputeAgentReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:890

  #### Parameters

  - ##### request: UnregisterDisputeAgentRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: UnregisterDisputeAgentReply ) => void

    - - (err: RpcError, response: UnregisterDisputeAgentReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: UnregisterDisputeAgentReply

        #### Returns void

  #### Returns ClientReadableStream < UnregisterDisputeAgentReply >

Generated using TypeDoc